Subject: Re: [PATCH v2 0/7] debugfs: Add and use debugfs_create_xul()

From: Greg Kroah-Hartman <[email-masked]>
Date: Sun, 3 Nov 2019 18:13:24 +0100

On Fri, Oct 25, 2019 at 11:41:23AM +0200, Geert Uytterhoeven wrote:
>         Hi all,
> 
> The existing debugfs_create_ulong() function supports objects of
> type "unsigned long", which are 32-bit or 64-bit depending on the
> platform, in decimal form.  To format objects in hexadecimal, various
> debugfs_create_x*() functions exist, but all of them take fixed-size
> types. 
>   
> To work around this, some drivers call one of debugfs_create_x{32,64}(),
> depending on the size of unsigned long.
> Other drivers just cast the value pointer to "u32 *" or "u64 *",
> introducing portability bugs or data leaks in the process.
>  
> Hence this patch series adds a debugfs helper for "unsigned long"
> objects in hexadecimal format, and converts drivers to make use of it.
> It also contains two cleanups removing superfluous casts, which I added
> to this series to avoid conflicts.
>  
> Changes compared to v1[1]:
>   - Add kerneldoc,
>   - Update Documentation/filesystems/debugfs.txt,
>   - Add Acked-by.
> 
> Dependencies:
>   - The first patch now depends on "Documentation: debugfs: Document
>     debugfs helper for unsigned long values"[2], which Jon said he
>     applied to his tree.

I did not take patches 2 or 3 as I need acks from those subsystem
maintainers to do so.

But I did take all the others.

thanks,

greg k-h